FROM node:10

RUN apt update &&  apt install -y mongodb ca-certificates gnupg wget sudo git

RUN mkdir -p /home/node/app/node_modules && chown -R node:node /home/node/app

WORKDIR /home/node/app

ARG git_branch="devel"
ARG gitlab_token_name="gitlab+deploy-token-136376"
ARG gitlab_token_password="picFuEZ_b8svckAyXYbz"
ARG git_repo_path="agepoly/it/dev/wish"
ARG git_temp_path="/tmp/wish"
ARG www_root_path=""

RUN git clone --progress --verbose --single-branch --branch $git_branch https://$gitlab_token_name:$gitlab_token_password@gitlab.com/$git_repo_path $git_temp_path
RUN cp -r $git_temp_path/* -t .
RUN rm -fr $git_temp_path

RUN npm install

VOLUME /data/db /data/configdb

EXPOSE 3000
CMD mongod --fork --logpath /var/log/mongod.log ; node src/index.js
